<div class="resultsContainer" *ngIf="results$ | async as projectParameterRes">
  <!-- Simulation -->
  <mat-card class="resultsMatCard">
    <!-- TODO Add *ngIf="simulation" to class above-->
    <mat-card-title class="resultsMatCardTitle">
      <!-- <energy-platform-flower-icons
        name="resultSimulationIcon"
        class="icon-size-xs icon-black iconTitle"
      ></energy-platform-flower-icons> -->
      <span class="spanTitle">
        {{ 'result.simulation' | translate }}
      </span>
    </mat-card-title>
    <mat-card-content class="appMatCardContent">
      <div *ngIf="project$ | async" class="option_wrapper">
        <div class="content">
          <div fxLayout="row" fxLayoutGap="10px">
            <div *ngIf="!simulationIsRunning; else stopSimulationButton">
              <button
                class="startButton"
                mat-raised-button
                color="primary"
                (click)="startSimulation()"
                [disabled]="optimizationIsRunning || sensitivityAnalysIsRunning"
              >
                <span class="buttonAlignMiddle">
                  <!-- <energy-platform-flower-icons
                    name="startActionIcon"
                    class="
                      icon-white icon-size-xxs
                      startActionIcon
                      buttonAlignMiddle
                    "
                  ></energy-platform-flower-icons> -->
                  {{ 'result.run' | translate }}
                </span>
              </button>
            </div>
            <ng-template #stopSimulationButton>
              <button
                class="stopButton"
                mat-raised-button
                color="primary"
                (click)="stopSimulation()"
              >
                <span class="buttonAlignMiddle">
                  <!-- <energy-platform-flower-icons
                    name="startActionIcon"
                    class="
                      icon-white icon-size-xxs
                      startActionIcon
                      buttonAlignMiddle
                    "
                  ></energy-platform-flower-icons> -->
                  {{ 'result.stopSimulation' | translate }}
                </span>
              </button>
            </ng-template>
          </div>
        </div>
        <p class="option_title">
          {{ 'result.showResults' | translate }}
        </p>
        <!--
          Logic not implemented, commented out to minimize visual noise

          <div class="subtitleChange">
            <div *ngIf="simulationParameterChanged; else noChange">
              <div class="alignButtonText warningColor">
                {{ "result.change" | translate }}
              </div>
            </div>
            <ng-template #noChange>
              <div class="alignButtonText okColor">
                {{ "result.noChange" | translate }}
              </div>
            </ng-template>
          </div>
        -->
        <div class="option_content_wrapper width90p" fxLayout.lt-md="column">
          <div class="simulationResultGraph">
            <h2 class="title">
              {{ 'result.constructionCosts' | translate }}
            </h2>
            <!-- <energy-platform-stacked-bar-chart [showLegend]=true [yAxisLabel]="'Costs in Mio €'" [values]="economicsStackData"> -->
            <plotly-plot
              [data]="economicsData"
              [config]="economicsConfig"
              [layout]="economicsLayout"
              [style]="{ width: '100%', height: '100%', position: 'relative' }"
              [useResizeHandler]="true"
            >
            </plotly-plot>
            <!-- </energy-platform-stacked-bar-chart> -->
          </div>
          <div class="simulationResultGraph">
            <h2 class="title">
              {{ 'result.net_annual_energy_production' | translate }}
            </h2>
            <plotly-plot
              [data]="energyProductionData"
              [config]="energyProductionConfig"
              [layout]="energyProductionLayout"
              [style]="{ width: '100%', height: '100%', position: 'relative' }"
              [useResizeHandler]="true"
            >
            </plotly-plot>
          </div>
        </div>
        <div
          class="option_content_wrapper simulation-table-wrapper width90p"
          fxLayout.lt-md="column"
          style="
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            margin-top: 5rem;
          "
        >
          <!-- CONTENT -->
          <h2 class="title">{{ 'result.economicsData' | translate }}</h2>
          <!-- This title need to be changed, it is hardcoded-->
          <energy-platform-simulation-results-table
            [results]="projectParameterRes"
            style="width: 70%"
          >
          </energy-platform-simulation-results-table>
        </div>
      </div>
    </mat-card-content>
  </mat-card>
  <br />

  <!-- SensitivityAnalysis -->
  <mat-card class="resultsMatCard">
    <!-- TODO Add *ngIf="sensitivityAnalysis" to class above -->
    <mat-card-title class="resultsMatCardTitle">
      <!-- <energy-platform-flower-icons
        name="resultSensitivityIcon"
        class="icon-black icon-size-xs iconTitle"
      ></energy-platform-flower-icons> -->
      <span class="spanTitle">
        {{ 'result.sensitivityAnalysis' | translate }}
      </span>
    </mat-card-title>
    <mat-card-content class="appMatCardContent">
      <div *ngIf="project$" class="option_wrapper">
        <div class="content">
          <div fxLayout="row" fxLayoutGap="10px">
            <div
              *ngIf="
                !sensitivityAnalysIsRunning;
                else stopSensitivityAnalysisButton
              "
            >
              <button
                class="startButton"
                mat-raised-button
                color="primary"
                (click)="startSensitivityAnalysis()"
                [disabled]="optimizationIsRunning || simulationIsRunning"
              >
                <span class="buttonAlignMiddle">
                  <!-- <energy-platform-flower-icons
                    name="startActionIcon"
                    class="
                      icon-white icon-size-xxs
                      startActionIcon
                      buttonAlignMiddle
                    "
                  ></energy-platform-flower-icons> -->
                  {{ 'result.run' | translate }}
                </span>
              </button>
            </div>
            <ng-template #stopSensitivityAnalysisButton>
              <button
                class="stopButton"
                mat-raised-button
                color="primary"
                (click)="stopSensitivityAnalysis()"
              >
                <span class="buttonAlignMiddle">
                  <!-- <energy-platform-flower-icons
                    name="startActionIcon"
                    class="
                      icon-white icon-size-xxs
                      startActionIcon
                      buttonAlignMiddle
                    "
                  ></energy-platform-flower-icons> -->
                  {{ 'result.stopSensitivityAnalysis' | translate }}
                </span>
              </button>
            </ng-template>
          </div>
        </div>
        <div>
          <p class="option_title">
            {{ 'result.showResults' | translate }}
          </p>
          <!--
            Logic not implemented, commented out to minimize visual noise

            <div class="subtitleChange">
              <div *ngIf="sensitivityParametersChange; else noChange">
                <div class="alignButtonText warningColor">
                  {{ "result.change" | translate }}
                </div>
              </div>
              <ng-template #noChange>
                <div class="alignButtonText okColor">
                  {{ "result.noChange" | translate }}
                </div>
              </ng-template>
            </div>
          -->
        </div>
        <div
          class="width90p"
          style="position: relative; display: flex; align-items: center"
        >
          <div class="sensitivity-boxplots-wrapper">
            <div *ngFor="let typeBoxplot of BoxplotTypeEnum | keyvalue">
              <!-- <energy-platform-boxplot-results
                class="sensitivity-boxplots"
                [targetFigure]="typeBoxplot.value"
                [targetFigureTranslated]="
                  'result.' + typeBoxplot.value | translate
                "
                [results]="projectParameterRes"
              ></energy-platform-boxplot-results> -->
            </div>
          </div>
        </div>
      </div>
    </mat-card-content>
  </mat-card>
  <br />

  <!-- Optimization Layout-->
  <mat-card class="resultsMatCard">
    <!-- TODO Add *ngIf="optimization" to class above -->
    <mat-card-title class="resultsMatCardTitle">
      <!-- <energy-platform-flower-icons
        name="resultOptimizationsSimulationIcon"
        class="icon-black icon-size-xs iconTitle"
      >
      </energy-platform-flower-icons> -->
      <span class="spanTitle">
        {{ 'result.optimization' | translate }}
      </span>
    </mat-card-title>
    <mat-card-content class="appMatCardContent">
      <div *ngIf="project$" class="option_wrapper">
        <div class="content">
          <div fxLayout="row" fxLayoutGap="10px">
            <div *ngIf="!optimizationIsRunning; else stopOptimizationButton">
              <button
                class="startButton"
                mat-raised-button
                color="primary"
                (click)="startOptimization()"
                [disabled]="simulationIsRunning || sensitivityAnalysIsRunning"
              >
                <span class="buttonAlignMiddle">
                  <!-- <energy-platform-flower-icons
                    name="startActionIcon"
                    class="
                      icon-white icon-size-xxs
                      startActionIcon
                      buttonAlignMiddle
                    "
                  ></energy-platform-flower-icons> -->
                  {{ 'result.run' | translate }}
                </span>
              </button>
            </div>
            <ng-template #stopOptimizationButton>
              <button
                class="stopButton"
                mat-raised-button
                color="primary"
                (click)="stopOptimization()"
              >
                <span class="buttonAlignMiddle">
                  <!-- <energy-platform-flower-icons
                    name="startActionIcon"
                    class="
                      icon-white icon-size-xxs
                      startActionIcon
                      buttonAlignMiddle
                    "
                  ></energy-platform-flower-icons> -->
                  {{ 'result.stopOptimization' | translate }}
                </span>
              </button>
            </ng-template>
          </div>
        </div>
        <p class="option_title">
          {{ 'result.showResults' | translate }}
        </p>
        <!--
          Logic not implemented, commented out to minimize visual noise

          <div class="subtitleChange">
            <div *ngIf="optimizationParameterChanged; else noChange">
              <div class="alignButtonText warningColor">
                {{ "result.change" | translate }}
              </div>
            </div>
            <ng-template #noChange>
              <div class="alignButtonText okColor">
                {{ "result.noChange" | translate }}
              </div>
            </ng-template>
          </div>
        -->
        <div
          class="width90p"
          style="
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: space-around;
          "
        >
          <div
            class="option_content_wrapper"
            fxLayout.lt-lg="column"
            fxLayoutAlign="space-between"
            fxLayoutGap="20px"
          >
            <!-- CONTENT -->
            <div
              class="result-leafletMap"
              fxFlex="50%"
              *ngIf="leafletOptions && leafletLayers && mapCenter"
            >
              <div>
                <p style="font-weight: bolder">
                  {{ 'result.optimisedPositions' | translate }}
                </p>
              </div>
              <!-- Note: Leaflet somehow glitches when using relative units for size. So for now we use absolute size, map will not scale. -->
              <div
                leaflet
                [leafletOptions]="leafletOptions"
                [leafletLayers]="leafletLayers"
                [leafletCenter]="mapCenter"
                style="height: 400px; width: 400px"
              ></div>
            </div>
            <div class="result-barchart" fxFlex="50%">
              <div>
                <p style="font-weight: bolder">
                  {{ 'result.barChart' | translate }}
                </p>
              </div>

              <energy-platform-bar-chart
                yAxisLabel="{{ 'result.barChartYAxis' | translate }}"
                [values]="optimizationBarData"
              >
              </energy-platform-bar-chart>
            </div>
          </div>
        </div>
        <div class="buttonDiv">
          <button
            class="buttonGoToDownload"
            mat-raised-button
            color="primary"
            (click)="adoptOptimisedLayout(project.id)"
          >
            <span class="buttonAlignMiddle">
              {{ 'result.adoptOptimisedLayout' | translate }}
            </span>
          </button>
        </div>
      </div>
    </mat-card-content>
  </mat-card>
  <br />

  <!-- 3D Print -->
  <div>
    <mat-card class="resultsMatCard">
      <mat-card-title class="resultsMatCardTitle">
        <!-- <energy-platform-flower-icons
          name="result3DIcon"
          class="icon-black icon-size-xs iconTitle"
        ></energy-platform-flower-icons> -->
        <span class="spanTitle"> {{ 'result.3DPrint' | translate }} </span>
      </mat-card-title>
      <mat-card-content class="appMatCardContent">
        <div *ngIf="project$" class="option_wrapper">
          <div class="content">
            <div fxLayout="row" fxLayoutGap="10px">
              <button
                class="startButton"
                mat-raised-button
                color="primary"
                (click)="generate3DPrint(project.id)"
              >
                <span class="buttonAlignMiddle">
                  <!-- <energy-platform-flower-icons
                    name="startActionIcon"
                    class="
                      icon-white icon-size-xxs
                      startActionIcon
                      buttonAlignMiddle
                    "
                  ></energy-platform-flower-icons> -->
                  {{ 'result.3dSTLFileGenerate' | translate }}
                </span>
              </button>
              <button
                class="buttonGoToDownload"
                mat-raised-button
                color="primary"
                (click)="download3DPrint()"
              >
                <span class="buttonAlignMiddle">
                  <!-- <energy-platform-flower-icons
                    name="downloadIcon"
                    class="icon-white icon-size-xxs buttonAlignMiddle"
                  >
                  </energy-platform-flower-icons> -->
                  {{ 'result.3dSTLFileDownload' | translate }}
                </span>
              </button>
            </div>
          </div>
          <div
            class="option_content_wrapper"
            fxLayout.lt-md="column"
            fxLayoutAlign="space-between"
          >
            <div class="content">
              <div class="option_title">
                <p class="alignIconText">
                  {{ 'result.windDirection' | translate }}
                  <!-- <energy-platform-flower-icons
                    matTooltipClass="matTooltipColor"
                    matTooltip="{{
                      'result.windDirectionDescription' | translate
                    }}"
                    matTooltipPosition="above"
                    class="iconInfo icon-size-xxs icon-black"
                    name="featureRequestIcon"
                  >
                  </energy-platform-flower-icons> -->
                </p>
              </div>
              <div class="option_content_wrapper">
                <energy-platform-parameter-slider
                  #wind_direction
                  [unit]="'°'"
                  [min]="1"
                  [max]="360"
                  [step]="1"
                >
                </energy-platform-parameter-slider>
              </div>
              <div class="option_title">
                <p class="alignIconText">
                  {{ 'result.restrictedArea' | translate }}
                  <!-- <energy-platform-flower-icons
                    matTooltipClass="matTooltipColor"
                    matTooltip="{{
                      'result.restrictedAreaDescription' | translate
                    }}"
                    matTooltipPosition="above"
                    class="iconInfo icon-size-xxs icon-black"
                    name="featureRequestIcon"
                  >
                  </energy-platform-flower-icons> -->
                </p>
              </div>
              <div class="option_content_wrapper">
                <mat-radio-group
                  (change)="change3DPrintParams()"
                  [(ngModel)]="print_restricted_area"
                >
                  <mat-radio-button
                    class="radio-button"
                    [value]="false"
                    checked
                  >
                    {{ 'result.no' | translate }}
                  </mat-radio-button>
                  <mat-radio-button class="radio-button" [value]="true">
                    {{ 'result.yes' | translate }}
                  </mat-radio-button>
                </mat-radio-group>
              </div>

              <div class="option_title">
                <p class="alignIconText">
                  {{ 'result.topography' | translate }}
                  <!-- <energy-platform-flower-icons
                    matTooltipClass="matTooltipColor"
                    matTooltip="{{
                      'result.topographyDescription' | translate
                    }}"
                    matTooltipPosition="above"
                    class="iconInfo icon-size-xxs icon-black"
                    name="featureRequestIcon"
                  >
                  </energy-platform-flower-icons> -->
                </p>
              </div>
              <div class="option_content_wrapper">
                <mat-radio-group
                  (change)="change3DPrintParams()"
                  [(ngModel)]="print_topography"
                >
                  <mat-radio-button
                    class="radio-button"
                    [value]="false"
                    checked
                  >
                    {{ 'result.no' | translate }}
                  </mat-radio-button>
                  <mat-radio-button class="radio-button" [value]="true">
                    {{ 'result.yes' | translate }}
                  </mat-radio-button>
                </mat-radio-group>
              </div>

              <div class="option_title">
                <p class="alignIconText">
                  {{ 'result.logo' | translate }}
                  <!-- <energy-platform-flower-icons
                    matTooltipClass="matTooltipColor"
                    matTooltip="{{ 'result.logoDescription' | translate }}"
                    matTooltipPosition="above"
                    class="iconInfo icon-size-xxs icon-black"
                    name="featureRequestIcon"
                  >
                  </energy-platform-flower-icons> -->
                </p>
              </div>
              <div class="option_content_wrapper">
                <mat-radio-group
                  (change)="change3DPrintParams()"
                  [(ngModel)]="print_logo"
                >
                  <mat-radio-button
                    class="radio-button"
                    [value]="false"
                    checked
                  >
                    {{ 'result.no' | translate }}
                  </mat-radio-button>
                  <mat-radio-button class="radio-button" [value]="true">
                    {{ 'result.yes' | translate }}
                  </mat-radio-button>
                </mat-radio-group>
              </div>
            </div>
            <!-- Here the 3D model should be implemented -->
            <div class="content">
              <div class="buttonsAlignment3D">
                <!-- <stl-model-viewer [stlModels]="['../assets/peter.stl']"></stl-model-viewer> -->
                <div class="freeSpace_placeholder">
                  <span style="position: relative; top: 47%"
                    >Coming soon: 3D model</span
                  >
                </div>
              </div>
            </div>
          </div>
        </div>
      </mat-card-content>
    </mat-card>
  </div>
  <br />
  <!-- Parameter Settings of the Wind Farm -->
  <div #download>
    <mat-card class="resultsMatCard">
      <mat-card-title class="resultsMatCardTitle">
        <!-- <energy-platform-flower-icons
          name="projectParameterViewIcon"
          class="icon-black icon-size-xs iconTitle"
        >
        </energy-platform-flower-icons> -->
        <span class="spanTitle">
          {{ 'result.parametersWindFlower' | translate }}</span
        >
      </mat-card-title>
      <mat-card-content class="appMatCardContent">
        <div *ngIf="project$" class="option_wrapper">
          <div class="option_title">
            {{ 'result.downloadParameters' | translate }}:
            <div [innerHTML]="nameOfProject" style="font-weight: 600"></div>
          </div>
          <div class="width90p">
            <div class="buttonDiv centerDiv">
              <button
                class="projectButton"
                mat-raised-button
                color="primary"
                (click)="downloadParameters()"
              >
                <span class="buttonAlignMiddle">
                  <!-- <energy-platform-flower-icons
                    name="downloadIcon"
                    class="icon-white icon-size-xxs buttonAlignMiddle"
                  >
                  </energy-platform-flower-icons> -->
                  {{ 'result.downloadData' | translate }}
                </span>
              </button>
              <div class="centerDiv">
                <button
                  class="projectButton"
                  mat-raised-button
                  color="accent"
                  (click)="publishToGit()"
                  id="publishProjectButton"
                  [disabled]="false"
                >
                  <!-- disabled project.isPublic-->
                  <mat-icon
                    svgIcon="publish"
                    class="icon-white icon-size-xxs svgIcon-padding-right"
                  ></mat-icon>
                  <span>{{
                    'projectManagement.publishProject' | translate
                  }}</span>
                </button>
              </div>
            </div>
          </div>
        </div>
      </mat-card-content>
    </mat-card>
  </div>
  <br />
</div>
